const C3 = self.C3;
self.C3_GetObjectRefTable = function () {
	return [
		C3.Plugins.Sprite,
		C3.Plugins.Keyboard,
		C3.Plugins.Mouse,
		C3.Plugins.LocalStorage,
		C3.Plugins.Keyboard.Cnds.IsKeyDown,
		C3.Plugins.Sprite.Acts.MoveAtAngle,
		C3.Plugins.Sprite.Cnds.OnCollision,
		C3.Plugins.Sprite.Acts.Destroy,
		C3.Plugins.System.Acts.AddVar,
		C3.Plugins.Sprite.Cnds.IsOverlapping,
		C3.Plugins.System.Acts.Wait,
		C3.Plugins.Sprite.Acts.SetVisible,
		C3.Plugins.Keyboard.Cnds.OnKey,
		C3.Plugins.Mouse.Cnds.OnObjectClicked,
		C3.Plugins.System.Acts.CreateObject,
		C3.Plugins.System.Cnds.CompareVar,
		C3.Plugins.System.Acts.SubVar
	];
};
self.C3_JsPropNameTable = [
	{body: 0},
	{bodybag: 0},
	{foldedBodybag: 0},
	{player: 0},
	{wall: 0},
	{Keyboard: 0},
	{amount: 0},
	{count: 0},
	{menu: 0},
	{givebb: 0},
	{spawnbb: 0},
	{hidebody: 0},
	{Mouse: 0},
	{LocalStorage: 0}
];

self.InstanceType = {
	body: class extends self.ISpriteInstance {},
	bodybag: class extends self.ISpriteInstance {},
	foldedBodybag: class extends self.ISpriteInstance {},
	player: class extends self.ISpriteInstance {},
	wall: class extends self.ISpriteInstance {},
	Keyboard: class extends self.IInstance {},
	count: class extends self.ISpriteInstance {},
	menu: class extends self.ISpriteInstance {},
	givebb: class extends self.ISpriteInstance {},
	spawnbb: class extends self.ISpriteInstance {},
	hidebody: class extends self.ISpriteInstance {},
	Mouse: class extends self.IInstance {},
	LocalStorage: class extends self.IInstance {}
}